package donkeykong;

import java.awt.CardLayout;

import javax.swing.JFrame;

/**
 * 
 * @author Antonio Cebollada, Miguel Castillo, José Ignacio Castro
 *
 */
public class Juego extends JFrame{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Constructor predeterminado de la clase, se encarga de añadir el menú de inicio, y activarlo en pantalla.
	 */
	public Juego(){
		
		Menu_inicio mn = new Menu_inicio();
		setSize(mn.getWidth(),mn.getHeight());
		/** Poner un Layout de estilo Card, que lo que hace es que podamos poner visibles o no los JPanels, y poder navegar entre ellos de forma
		 * mas sencilla
		 */
		setLayout(new CardLayout());
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		add(mn);
		setVisible(true);
		mn.setVisible(true);
        mn.requestFocusInWindow();
	}
	
	/**
	 * Main principal del juego Donkey Kong, con el se inicia todo el juego.
	 * @param args
	 */
	public static void main(String[] args){
		new Juego();

	}

}
